## zino-1.0.tar.gz

=== Makefile ===
#
# $Id: Makefile,v 1.37 2017/01/26 09:31:06 he Exp $
#

VERSION=1.0

SUBDIR=conf-diff emt mibs ritz tpoller traffic vwatch zino zinomon

all: version.tcl subst

version.tcl: Makefile
	rm -f version.tcl
	echo "set Version \"${VERSION}\"" > version.tcl

subst: Makefile.inc Makefile mk-subst.awk
	rm -f subst.new
	awk -f mk-subst.awk Makefile.inc > subst.new
	@if [ -f ${.CURDIR}/subst ]; then \
		if cmp -s ${.CURDIR}/subst subst.new; then \
			: equal, so no need to update; \
			rm -f subst.new; \
		else \
			echo mv subst.new ${.CURDIR}/subst; \
			mv subst.new ${.CURDIR}/subst; \
		fi \
	else \
		echo mv subst.new ${.CURDIR}/subst; \
		mv subst.new ${.CURDIR}/subst; \
	fi
	perl check-subst.pl -s subst -o Makefile.inc.dist

new-vars: Makefile.inc Makefile.inc.dist
	( awk -F= '/^#/{} /=/ { print $$1 }' Makefile.inc >/tmp/o.$$$$; \
	  awk -F= '/^#/{} /=/ { print $$1 }' Makefile.inc.dist >/tmp/n.$$$$; \
	  diff /tmp/o.$$$$ /tmp/n.$$$$; rm /tmp/o.$$$$ /tmp/n.$$$$ )

beforeinstall:
	@for d in ${TOPDIR} ${TOPDIR}/bin; do \
		if [ ! -d $$d ]; then \
			echo mkdir $$d; \
			mkdir $$d; \
		fi; \
	done

clean:

dist:

.include <bsd.subdir.mk>
.include <bsd.prog.mk>
.include "Makefile.inc"

=== conf-diff/Makefile ===
#
# $Id: Makefile,v 1.1 2000/10/02 14:16:57 he Exp $
#

SRCS=	post-diff.sh checkin-configs.sh

PROGS=	post-diff checkin-configs

all: ${PROGS}

post-diff: post-diff.sh ../subst
	sed -f ../subst post-diff.sh > post-diff

checkin-configs: checkin-configs.sh ../subst
	sed -f ../subst checkin-configs.sh > checkin-configs

install: ${PROGS}
	install -c -m 555 post-diff ${BINDIR}
	install -c -m 555 checkin-configs ${BINDIR}

clean:
	rm -f ${PROGS}

.include "../Makefile.inc"

=== emt/Makefile ===
#
# $Id: Makefile,v 1.9 2000/10/03 12:07:21 he Exp $
#

SRCS=	\
	../common/attrs.tcl \
	../common/auth.tcl \
	../common/cp.tcl \
	../common/net.tcl \
	../common/notify.tcl \
	../common/persist.tcl \
	../common/sort.tcl \
	emt.tcl

PROGS=emt start-emt

all: ${PROGS}

emt: ${SRCS} Makefile ../subst
	rm -f $@
	echo "#! "${TCLSH} > $@
	echo "# -*- Tcl -*- " >> $@
	echo "# DO NOT EDIT, AUTOMATICALLY GENERATED!!" >> $@
	echo "#" >> $@
	echo "" >> $@
	for f in ${SRCS}; do \
		cat $$f >> $@; \
	done
	echo "emt_main" >> $@
	mv $@ $@.new
	sed -f ../subst $@.new > $@
	chmod +x $@
	rm -f $@.new

start-emt: start-emt.sh ../subst
	sed -f ../subst start-emt.sh > start-emt

install: ${PROGS}
	install -c -m 555 emt ${BINDIR}
	install -c -m 555 start-emt ${BINDIR}
	@if [ ! -d ${EMTDIR} ]; then \
		echo mkdir ${EMTDIR}; \
		mkdir ${EMTDIR}; \
	fi
	@if [ ! -f ${EMTDIR}/emt-save.tcl ]; then \
		echo touch ${EMTDIR}/emt-save.tcl; \
		touch ${EMTDIR}/emt-save.tcl; \
	fi

clean:
	rm -f ${PROGS}

.include "../Makefile.inc"

=== mibs/Makefile ===
#
# $Id: Makefile,v 1.14 2017/01/24 19:52:52 he Exp $
#

FILES=	BGP4-MIB.my CISCO-CDP-MIB.my CISCO-CONFIG-MAN-MIB.my \
	CISCO-PRODUCTS-MIB.my CISCO-SMI.my CISCO-TC.my \
	OLD-CISCO-INTERFACES-MIB.my OLD-CISCO-TCP-MIB.my \
	OLD-CISCO-TS-MIB.my cisco-10-mib.my mib.traps \
	CISCO-IETF-BFD-MIB.my IANAifType.tc \
	IPV6-MIB.my IPV6-TC.my \
	CISCO-VTP-MIB.my CISCO-PIM-MIB.my INET-ADDRESS-MIB.my \
	IF-MIB.my IP-MIB.my \
	MSDP-MIB.my CISCO-MAC-NOTIFICATION-MIB.my PIM-MIB.my \
	CISCO-BGP4-MIB.my CISCO-ENVMON-MIB.my BRIDGE-MIB.my \
	ENTITY-MIB.my \
	UNINETT-SMI.my UNINETT-ZINO-MIB.my \
	mib-rfc3811.txt mib-rfc3812.txt mib-rfc3289.txt \
	mib-jnx-mpls.txt \
	mib-jnx-chassis-alarm.txt mib-jnx-smi.txt \
	mib-jnx-bfd-exp-mod.txt mib-jnx-exp.txt \
	mib-jnx-bgpmib2.txt \
	mib-ospf2mib.txt mib-ospf2trap.txt

MIBDIR=	${TOPDIR}/mibs

all:

install:
	mkdir -p ${MIBDIR}
	@for f in ${FILES}; do \
		echo install -c $$f ${MIBDIR}; \
		install -c $$f ${MIBDIR}; \
	done

clean:

.include "../Makefile.inc"

=== ritz/Makefile ===
#
# $Id: Makefile,v 1.11 2014/04/25 12:55:31 he Exp $
#

SRCS=	../version.tcl just/justSNMP.tcl just/prettySNMP.tcl \
	just/mib2util.tcl \
	attrs.tcl net.tcl notify.tcl sort.tcl summary.tcl ui.tcl \
	utils.tcl main.tcl bgerror.tcl

CLISRCS= net.tcl cli.tcl


all: ritz cli

../version.tcl: ../Makefile
	(cd ..; make version.tcl)

ritz: ${SRCS} Makefile ../subst
	rm -f $@
	echo "#! "${WISH} > $@
	echo "#" >> $@
	echo "# DO NOT EDIT, AUTOMATICALLY GENERATED!!" >> $@
	echo "#" >> $@
	echo "option clear" >> $@
	echo "package require Tix" >> $@
	echo "" >> $@
	for f in ${SRCS}; do \
		cat $$f >> $@; \
	done
	echo "main" >> $@
	sed -f ../subst $@ > $@.new
	mv $@.new $@
	chmod +x $@

cli: ${CLISRCS} Makefile ../subst
	rm -f $@
	echo "#! "${SCOTTY} > $@
	echo "#" >> $@
	echo "# DO NOT EDIT, AUTOMATICALLY GENERATED!!" >> $@
	echo "#" >> $@
	echo "" >> $@
	for f in ${CLISRCS}; do \
		cat $$f >> $@; \
	done
	echo "main" >> $@
	sed -f ../subst $@ > $@.new
	mv $@.new $@
	chmod +x $@

install: ritz cli
	rm -f ${BINDIR}/ritz
	cp ritz ${BINDIR}/ritz
	rm -f ${BINDIR}/cli
	cp cli ${BINDIR}/cli

clean:
	rm -f ritz
	rm -f cli

.include "../Makefile.inc"

=== sha/Makefile ===
PREFIX=/usr/local

PROG=sha

CFLAGS=-O
INSTALL=install

all: sha

sha: sha.c
	$(CC) $(CFLAGS) -o sha sha.c

sha-test: sha.c
	$(CC) $(CFLAGS) -DMEMTEST -o sha-test sha.c

check: sha-test
	./sha-test

install:
	$(INSTALL) -c -m 555 -s sha $(PREFIX)/bin
	$(INSTALL) -c -m 444 sha.1 $(PREFIX)/man/man1
	$(INSTALL) -c -m 444 sha_file.3 $(PREFIX)/man/man3

clean:
	rm -f sha sha-test

=== tpoller/Makefile ===
#
# $Id: Makefile,v 1.9 2010/10/07 12:59:19 he Exp $
#

SRC=	../common/util.tcl ../common/conffile.tcl ../common/polljob.tcl \
	../common/config.tcl ../common/justSNMP.tcl ../zino/bwalk.tcl \
	tpoller.tcl main.tcl

PROGS=	tpoller start-tpoll

SUBST=	${.CURDIR}/../subst

all: ${PROGS}

tpoller: ${SRC} Makefile
	rm -f $@
	echo "#! "${SCOTTY} > $@
	cat ${SRC} | sed -f ${SUBST} >> $@
	chmod +x $@

start-tpoll: start-tpoll.sh ${SUBST}
	rm -f $@
	sed -f ${SUBST} start-tpoll.sh > $@

install: ${PROGS}
	install -c -m 555 tpoller ${BINDIR}
	install -c -m 555 start-tpoll ${BINDIR}

clean:
	rm -f ${PROGS}

.include "../Makefile.inc"

=== traffic/Makefile ===
#
# $Id: Makefile,v 1.5 2004/02/26 15:13:27 he Exp $
#

VERSION=0.29

SUBDIR= cgi common db html jobs mibs plot report

DIRS=   ${BINDIR} ${CGIDIR} ${CONFDIR} ${HTMLDIR} ${IMGDIR} \
	${LIBDIR} ${MIBDIR} ${DBDIR} ${REPDIR} ${DATADIR} \
	${DATADIR}/tail-save ${BACKUPDIR} \
	${TODAYDIR} ${PLOTDIR} ${PLOTDATADIR} ${PLOTCACHE} \
	${WREPDIR} ${MREPDIR} ${MAPDIR}

# Substitution file for scripts

beforeinstall:
	@for d in ${DIRS}; do \
		if [ ! -d $$d ]; then \
			echo mkdir $$d; \
			mkdir $$d; \
		fi \
	done
	chmod 777 ${IMGDIR} ${PLOTCACHE}

count:
	find . \( -name RCS -prune -o \
		  -name mibs -prune -o \
		  -name '*.fig' -prune -o \
		  -name '*.ps' -prune \) -o \
		-type f -print | xargs file | egrep text | \
	awk -F: '{ print $$1 }' | xargs wc -l

.include "../Makefile.inc"
.include <bsd.subdir.mk>
.include <bsd.prog.mk>

=== vwatch/Makefile ===
#
# $Id: Makefile,v 1.15 2012/11/22 11:53:33 he Exp $
#

PSRCS=	cur-vers.pl \
	uptimes.pl \
	vw-daily.pl \
	vw-day-report.pl \
	vw-month-rst.pl \
	vw-month-upgr.pl

INCSRCS=../common/util.tcl \
	../common/conffile.tcl \
	../common/polljob.tcl \
	../common/config.tcl

TSRCS=	vwatch.tcl \
	vwatch-head.tcl \
	vwatch-main.tcl

SSRCS=	${PSRCS} ${TSRCS} start-vwatch.sh

COMMON=	pretty-ios.pl \
	unctime.pl

PPROGS=	cur-vers \
	uptimes \
	vw-daily \
	vw-day-report \
	vw-month-rst \
	vw-month-upgr

NOMAN=	${PROGS}

TPROGS=	vwatch

ALLPROGS=	${PPROGS} ${TPROGS} start-vwatch

SUBST=	${.CURDIR}/../subst

all: ${ALLPROGS}

start-vwatch: start-vwatch.sh ${SUBST}
	rm -f $@
	sed -f ${SUBST} $@.sh > $@

${PPROGS}: ${PSRCS} ${SUBST}
	@for f in ${PSRCS}; do \
		b=`basename $$f .pl`; \
		echo rm -f $$b; \
		rm -f $$b; \
		echo sed -f ${SUBST} ${.CURDIR}/$$f '>' $$b; \
		sed -f ${SUBST} ${.CURDIR}/$$f > $$b; \
	done

vwatch: vwatch.tcl vwatch-main.tcl ${SUBST} Makefile ${INCSRCS}
	rm -f vwatch
	(sed -f ${SUBST} ${.CURDIR}/vwatch-head.tcl; \
	cat ${INCSRCS}; \
	cat ${.CURDIR}/vwatch.tcl; \
	sed -f ${SUBST} ${.CURDIR}/vwatch-main.tcl) > vwatch

install: ${ALLPROGS} ${COMMON}
	@for f in ${ALLPROGS}; do \
		echo install -c -m 555 $$f ${BINDIR}; \
		install -c -m 555 $$f ${BINDIR}; \
	done
	@for f in ${COMMON}; do \
		echo install -c -m 444 $$f ${LIBDIR}; \
		install -c -m 444 $$f ${LIBDIR}; \
	done
	@if [ ! -d ${TOPDIR}/ver-watch/logs/today/descs ]; then \
		echo mkdir -p ${TOPDIR}/ver-watch/logs/today/descs; \
		mkdir -p ${TOPDIR}/ver-watch/logs/today/descs; \
	fi
	install -c -m 555 start-vwatch ${BINDIR}

clean:
	rm -f ${PPROGS}

.include "../Makefile.inc"
.include <bsd.prog.mk>

=== zino/Makefile ===
#
# $Id: Makefile,v 1.16 2012/01/22 20:33:08 he Exp $
#

FILES= 	../common/util.tcl \
	../common/conffile.tcl \
	../common/polljob.tcl \
	../common/config.tcl \
	../common/persist.tcl \
	load-mibs.tcl log.tcl status.tcl bgp.tcl bfd.tcl \
	agent.tcl \
	jnx-alarm.tcl \
	swalk.tcl bwalk.tcl trap.tcl utils.tcl \
	flaps.tcl events.tcl server.tcl auth.tcl \
	pm.tcl \
	../version.tcl \
	zino-main.tcl

PROGS=	zino start-zino tacping

all: ${PROGS} zino.cf

zino: ${FILES} Makefile
	rm -f zino
	echo "#! "${SCOTTY} > zino
	cat ${FILES} >> zino
	sed -f ../subst < zino > zino.new
	mv zino.new zino
	chmod +x zino

zino.cf: zino.cf.tmpl ../subst
	rm -f zino.cf
	sed -f ../subst < zino.cf.tmpl > zino.cf

start-zino: start-zino.sh ../subst
	rm -f start-zino
	sed -f ../subst < start-zino.sh > start-zino

tacping: tacping.pl ../subst
	rm -f tacping
	sed -f ../subst <tacping.pl > tacping

install: ${PROGS} zino.cf
	@if [ ! -d ${ZINODIR} ]; then \
		echo mkdir -p ${ZINODIR}; \
		mkdir -p ${ZINODIR}; \
	fi
	install -c -m 555 zino ${BINDIR}
	install -c -m 555 start-zino ${BINDIR}
	install -c -m 444 zino.cf ${ZINODIR}
	@if [ ! -f ${ZINODIR}/eventid ]; then \
		echo "echo 0 > ${ZINODIR}/eventid"; \
		echo 0 > ${ZINODIR}/eventid; \
	fi
	@for f in secrets save-state.tcl; do \
		if [ ! -f ${ZINODIR}/$$f ]; then \
			echo install -c -m 600 /dev/null ${ZINODIR}/$$f; \
			install -c -m 600 /dev/null ${ZINODIR}/$$f; \
		fi; \
	done
	install -c -m 555 tacping ${BINDIR}


clean:
	rm -f ${PROGS} zino.cf

.include "../Makefile.inc"

=== zinomon/Makefile ===
#
# $Id: Makefile,v 1.5 2010/09/24 12:26:35 he Exp $
#

FILES=	Zino.pm zino-monitor.pl emt-config.tcl

PPROGS=	zino-monitor.pl
GPROGS= zinomon emt-config

LIBS=	Zino.pm

all: ${GPROGS} ${PPROGS}

zinomon: zinomon.sh
	rm -f $@
	sed -f ../subst $@.sh > $@
	chmod +x $@

emt-config: emt-config.tcl
	rm -f $@
	sed -f ../subst $@.tcl > $@
	chmod +x $@

install: ${GPROGS} ${PPROGS}
	@for f in ${LIBS}; do \
		echo install -c -m 555 $$f ${LIBDIR}; \
		install -c -m 555 $$f ${LIBDIR}; \
	done
	@for f in ${GPROGS} ${PPROGS}; do \
		echo install -c -m 555 $$f ${BINDIR}; \
		install -c -m 555 $$f ${BINDIR}; \
	done

clean:
	rm -f ${GPROGS}

.include "../Makefile.inc"

=== traffic/cgi/Makefile ===
#
# $Id: Makefile,v 1.6 2009/03/18 09:43:14 he Exp $
#

SCRIPTS=	emit-map.pl \
		ex-png.pl \
		plot-all.pl \
		intf-load.pl \
		list-ports.pl \
		load-map.pl \
		tbl-report.pl \
		xf-load-map.pl \
		r-all.pl \
		top10.pl

SUBST=	${.CURDIR}/../../subst

all:

install:
	@for s in ${SCRIPTS}; do \
		base=`basename $$s .pl`; \
		dst=${CGIDIR}/$$base; \
		tmp=/tmp/rtmp.$$$$; \
		echo sed -f ${SUBST} '<' $$s '>' $$tmp; \
		sed -f ${SUBST} < $$s > $$tmp; \
		echo install -c -m 555 $$tmp $$dst; \
		install -c -m 555 $$tmp $$dst; \
		echo rm -f $$tmp; \
		rm -f $$tmp; \
	done

obj:
clean:
cleandir:

.include "../../Makefile.inc"

=== ritz/debian/changelog ===
ritz (0.9-05) gutsy; urgency=low

  * New upstream version

 -- Vegard Vesterheim <vegardv@voll.uninett.no>  Wed, 30 Jan 2008 14:20:18 +0100

ritz (0.9-03ubuntu1) feisty; urgency=low

  * New upstream version

 -- Vegard Vesterheim <vegardv@voll.uninett.no>  Wed, 29 Aug 2007 15:25:31 +0200

ritz (0.9-02) unstable; urgency=low

  * New upstream version

 -- Vegard Vesterheim <vegardv@voll.uninett.no>  Mon, 12 Feb 2007 15:42:49 +0100

ritz (0.9-01) unstable; urgency=low

  * New upstream version

 -- Vegard Vesterheim <vegardv@voll.uninett.no>  Wed,  7 Feb 2007 11:12:10 +0100

ritz (0.8-02) unstable; urgency=low

  * New upstream version

 -- Vegard Vesterheim <vegardv@voll.uninett.no>  Wed,  7 Feb 2007 10:50:53 +0100

ritz (0.8-01) unstable; urgency=low

  * Initial release

 -- Vegard Vesterheim <vegard.vesterheim@uninett.no>  Tue, 23 May 2006 19:50:06 +0100

=== ritz/debian/control ===
Source: ritz
Section: utils
Priority: optional
Maintainer: Vegard Vesterheim <vegard.vesterheim@uninett.no>
Build-Depends: pmake
Standards-Version: 0.9

Package: ritz
Architecture: all
Depends: ${shlibs:Depends}, scotty, tix
Description: RITZ is "Remote Interface to ZINO"
 Ritz is a TK-based user interface to ZINO.

=== ritz/debian/rules ===
#!/usr/bin/make -f

# http://women.alioth.debian.org/wiki/index.php/English/BuildingWithoutHelper

package=ritz
patches     = patches-applied

# Top directory of the source code (thanks Manoj)
SRCTOP    := $(shell if [ "$$PWD" != "" ]; then echo $$PWD; else pwd; fi)

# Destination directory where files will be installed
DESTDIR    = $(SRCTOP)/debian/$(package)

BIN_DIR = $(DESTDIR)/usr/bin
DOCS_DIR = $(DESTDIR)/usr/share/doc/ritz
MENU_DIR = $(DESTDIR)/usr/lib/menu
PIXMAPS_DIR = $(DESTDIR)/usr/share/pixmaps

binary-indep: 

# Definitions for install
INST_OWN = -o root -g root
MAKE_DIR  = install -p -d $(INST_OWN) -m 755
INST_FILE = install -c    $(INST_OWN) -m 644
INST_PROG = install -c    $(INST_OWN) -m 755
INST_SCRIPT = install -c  $(INST_OWN) -m 755

pmake-build:
	rm -f ritz
	cp -f ../Makefile.inc.dist ../Makefile.inc
	( cd .. ; pmake )
	rm -f $(patches)

binary-arch: pmake-build patch
	$(MAKE_DIR) $(DOCS_DIR)
	$(MAKE_DIR) $(BIN_DIR)
	$(INST_PROG) ritz $(BIN_DIR)/ritz
	$(MAKE_DIR) $(DESTDIR)/DEBIAN

	# Install Docs
	$(MAKE_DIR) $(DOCS_DIR)
	$(INST_FILE) debian/copyright $(DOCS_DIR)/copyright
	$(INST_FILE) debian/changelog $(DOCS_DIR)/changelog.Debian
	$(INST_FILE) debian/README $(DOCS_DIR)/README

	# Compress Docs (thanks Helen)
	gzip -f -9 $(DOCS_DIR)/changelog.Debian

	# Generate the control file (thanks Helen)
	dpkg-gencontrol	-isp -P$(DESTDIR)

	# Make DEBIAN/md5sums (thanks Helen)
	cd $(DESTDIR) && find . -type f ! -regex '.*DEBIAN/.*' -printf '%P\0' | xargs -r0 md5sum > DEBIAN/md5sums 

	# Create the .deb package (thanks Helen)
	dpkg-deb -b $(DESTDIR) ../

patch:
	test ! -f $(patches) # already patched
	ls debian/patches/patch* >$(patches)
	cat `cat $(patches)` | patch -p1 --no-backup-if-mismatch

unpatch:
	test -f $(patches) # not patched
	cat `tac $(patches)` | patch -Rp1 --no-backup-if-mismatch
	rm -f $(patches)


# Below here is fairly generic really

binary: binary-indep binary-arch

.PHONY: binary binary-arch binary-indep clean build patch unpatch
